/*
// $Id: //guest/julian_hyde/saffron/src/examples/sales/JdbcSalesTestCase.java#1 $
// Saffron preprocessor and data engine
// Copyright (C) 2002 Julian Hyde <julian.hyde@mail.com>
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330,
// Boston, MA  02111-1307, USA.
//
// See the COPYING file located in the top-level-directory of
// the archive of this library for complete text of license.
//
// jhyde, 26 April, 2002
*/
package sales;

import saffron.Statement;

/**
 * <code>JdbcSalesTestCase</code> runs queries which refer to the 'sales'
 * schema using a {@link Sales} object (which talks to JDBC).
 *
 * @author jhyde
 * @since 26 April, 2002
 * @version $Id: //guest/julian_hyde/saffron/src/examples/sales/JdbcSalesTestCase.java#1 $
 **/
public class JdbcSalesTestCase extends SalesTestCase {
	public JdbcSalesTestCase(String s) throws Exception {
		super(s);
	}
	protected void init() throws Exception {
		java.sql.Connection sqlConnection = null;
		this.arguments = new Statement.Argument[] {
				new Statement.Argument("sales", new Sales(sqlConnection))};
	}
}


// End JdbcSalesTestCase.java
